# Uses of Interface
jebl.evolution.alignments.Alignment

Packages that use Alignment
Package
Description
jebl.evolution.align
Provides classes and interfaces for pairwise alignment of two sequences.
jebl.evolution.aligners
jebl.evolution.alignments
jebl.evolution.distances
jebl.evolution.io

## Uses of Alignment in jebl.evolution.align

Fields in jebl.evolution.align declared as Alignment
Modifier and Type
Field
Description
`final Alignment`
PairwiseAligner.Result.`alignment`
Methods in jebl.evolution.align that return Alignment
Modifier and Type
Method
Description
`Alignment`
BartonSternberg.`doAlign(List<Sequence> seqs, RootedTree guideTree, ProgressListener progress)`
`Alignment`
BartonSternberg.`doAlign(Alignment a1, Alignment a2, ProgressListener progress)`
`Alignment`
BartonSternberg.`doAlign(Alignment alignment, Sequence sequence, ProgressListener progress)`
`Alignment`
MultipleAligner.`doAlign(List<Sequence> seqs, RootedTree guideTree, ProgressListener progress)`
`Alignment`
MultipleAligner.`doAlign(Alignment a1, Alignment a2, ProgressListener progress)`
`Alignment`
MultipleAligner.`doAlign(Alignment alignment, Sequence sequence, ProgressListener progress)`
Methods in jebl.evolution.align with parameters of type Alignment
Modifier and Type
Method
Description
`static AlignmentTreeBuilderFactory.Result`
AlignmentTreeBuilderFactory.`build(Alignment alignment, TreeBuilderFactory.Method method, TreeBuilderFactory.DistanceModel model, ProgressListener progressListener)`
`static AlignmentTreeBuilderFactory.Result`
AlignmentTreeBuilderFactory.`build(Alignment alignment, TreeBuilderFactory.Method method, TreeBuilderFactory.DistanceModel model, ProgressListener progressListener, boolean useTwiceMaximumDistanceWhenPairwiseDistanceNotCalculatable)`
`Alignment`
BartonSternberg.`doAlign(Alignment a1, Alignment a2, ProgressListener progress)`
`Alignment`
BartonSternberg.`doAlign(Alignment alignment, Sequence sequence, ProgressListener progress)`
`Alignment`
MultipleAligner.`doAlign(Alignment a1, Alignment a2, ProgressListener progress)`
`Alignment`
MultipleAligner.`doAlign(Alignment alignment, Sequence sequence, ProgressListener progress)`

## Uses of Alignment in jebl.evolution.aligners

Methods in jebl.evolution.aligners that return Alignment
Modifier and Type
Method
Description
`Alignment`
Aligner.`alignSequences(Collection<Sequence> sequences)`

## Uses of Alignment in jebl.evolution.alignments

Classes in jebl.evolution.alignments that implement Alignment
Modifier and Type
Class
Description
`class`
`BasicAlignment`
A basic implementation of the Alignment interface.
`class`
`BootstrappedAlignment`
Date: 15/01/2006 Time: 10:13:50
`class`
`JackknifedAlignment`
Date: 17/01/2006 Time: 08:18:32
`class`
`ResampledAlignment`
Date: 17/01/2006 Time: 08:08:44
Methods in jebl.evolution.alignments that return Alignment
Modifier and Type
Method
Description
`Alignment`
ConsensusSequence.`getSource()`
Methods in jebl.evolution.alignments with parameters of type Alignment
Modifier and Type
Method
Description
`static State[]`
ConsensusSequence.`constructConsensus(Alignment source, boolean includeAmbiguities)`
`void`
ResampledAlignment.`init(Alignment srcAlignment, int[] siteIndices)`
Setup resampled alignment.
Constructors in jebl.evolution.alignments with parameters of type Alignment
Modifier
Constructor
Description
``
`BootstrappedAlignment(Alignment srcAlignment)`
``
`BootstrappedAlignment(Alignment srcAlignment, long seed)`
``
`BootstrappedAlignment(Alignment srcAlignment, Random r)`
``
`ConsensusSequence(Taxon taxon, Alignment source)`
Creates a FilteredSequence wrapper to the given source sequence.
``
`ConsensusSequence(Taxon taxon, Alignment source, boolean includeAmbiguities)`
Creates a FilteredSequence wrapper to the given source sequence.
``
`JackknifedAlignment(Alignment srcAlignment, double percent)`
``
`JackknifedAlignment(Alignment srcAlignment, double percent, long seed)`
``
`JackknifedAlignment(Alignment srcAlignment, double percent, Random r)`

## Uses of Alignment in jebl.evolution.distances

Constructors in jebl.evolution.distances with parameters of type Alignment
Modifier
Constructor
Description
``
`F84DistanceMatrix(Alignment alignment)`
``
`F84DistanceMatrix(Alignment alignment, ProgressListener progress)`
``
`HKYDistanceMatrix(Alignment alignment, ProgressListener progress)`
``
`HKYDistanceMatrix(Alignment alignment, ProgressListener progress, boolean useTwiceMaximumDistanceWhenPairwiseDistanceNotCalculatable)`
``
`JukesCantorDistanceMatrix(Alignment alignment, ProgressListener progress)`
``
`JukesCantorDistanceMatrix(Alignment alignment, ProgressListener progress, boolean useTwiceMaximumDistanceWhenPairwiseDistanceNotCalculatable)`
``
`TamuraNeiDistanceMatrix(Alignment alignment, ProgressListener progress)`
``
`TamuraNeiDistanceMatrix(Alignment alignment, ProgressListener progress, boolean useTwiceMaximumDistanceWhenPairwiseDistanceNotCalculatable)`

## Uses of Alignment in jebl.evolution.io

Methods in jebl.evolution.io that return types with arguments of type Alignment
Modifier and Type
Method
Description
`List<Alignment>`
AlignmentImporter.`importAlignments()`
importAlignment.
`List<Alignment>`
NexusImporter.`importAlignments()`
Import all alignments in the input from the current position.
Methods in jebl.evolution.io with parameters of type Alignment
Modifier and Type
Method
Description
`void`
AlignmentExporter.`exportAlignment(Alignment alignment)`
export one alignment.
`void`
MEGAExporter.`exportAlignment(Alignment alignment)`
Deprecated.
Files created by this export method won't be importable by MEGA (because they don't have titles).
`void`
MEGAExporter.`exportAlignment(Alignment alignment, String name)`
`void`
NexusExporter.`exportAlignment(Alignment alignment)`
exportAlignment.
`void`
PHYLIPExporter.`exportAlignment(Alignment alignment)`